Skip to main content
POST
Run a restricted shell command

Authorizations

X-Api-Key
string
header
required

Workspace API key, created in the dashboard under Settings → API Keys.

Path Parameters

workspaceId
string<uuid>
required

Workspace UUID. Caller must have access.

deviceId
string
required

Device id (paired into the workspace).

Body

application/json
command
string
required
Required string length: 1 - 4096

Response

Command dispatched

ok
boolean
required
status
string
required
commandId
string
required
durationMs
integer | null